StartCodeReviewJob
Starts a new code review job for a code review configuration. The job executes the security-focused code analysis defined in the code review.
Request Syntax
POST /StartCodeReviewJob HTTP/1.1
Content-type: application/json
{
"agentSpaceId": "string",
"codeReviewId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- agentSpaceId
-
The unique identifier of the agent space.
Type: String
Required: Yes
- codeReviewId
-
The unique identifier of the code review to start a job for.
Type: String
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"agentSpaceId": "string",
"codeReviewId": "string",
"codeReviewJobId": "string",
"createdAt": "string",
"status": "string",
"title": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- agentSpaceId
-
The unique identifier of the agent space.
Type: String
- codeReviewId
-
The unique identifier of the code review.
Type: String
- codeReviewJobId
-
The unique identifier of the started code review job.
Type: String
- createdAt
-
The date and time the code review job was created, in UTC format.
Type: Timestamp
- status
-
The current status of the code review job.
Type: String
Valid Values:
IN_PROGRESS | STOPPING | STOPPED | FAILED | COMPLETED - title
-
The title of the code review job.
Type: String
- updatedAt
-
The date and time the code review job was last updated, in UTC format.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: